package zmo.technology.lite.core;

import java.sql.ResultSet;
import java.sql.SQLException;

public class ZeroAppSecret extends ZeroCoreStructs {

    private String appID;
    private String appSecret;

    public ZeroAppSecret() {
        super();
    }

    public ZeroAppSecret(ResultSet set) throws SQLException {
        super(set);

        if (inResultSet(set, "APP_ID"))
            appID = set.getString("APP_ID");

        if (inResultSet(set, "APP_SECRET"))
            appSecret = set.getString("APP_SECRET");
    }

    public String getAppID() {
        return appID;
    }

    public void setAppID(String appID) {
        this.appID = appID;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

}
